/* --------------------------------------------------------------- */
/* Licensed Materials - Property of IBM                            */
/* 5724-S84                                                        */
/* (C) Copyright IBM Corp. 2006,2007, All Rights Reserved          */
/* US Government Users Restricted Rights - Use, duplication or     */
/* disclosure restricted by GSA ADP Schedule Contract with         */
/* IBM Corp.                                                       */
/* --------------------------------------------------------------- */
/* PROLOG END TAG zYx                                              */

#ifndef FFT_1D_SPU_H
#define FFT_1D_SPU_H

#include "libfft.h"

// FFT batch mode SPU-only function prototypes
int fft_1d_c2c_spu(unsigned int num_elems, vector float* srcAddr, vector float* dstAddr);
int fft_1d_c2r_spu(unsigned int num_elems, vector float* srcAddr, vector float* dstAddr);
int fft_1d_r2c_spu(unsigned int num_elems, vector float* srcAddr, vector float* dstAddr);

#endif
